%global namedreltag .Beta7
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logging-tools
Version:          1.0.0
Release:          %mkrel 1
Summary:          JBoss Logging I18n Tools
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/dmlloyd/jboss-logging-tools

# git clone git://github.com/dmlloyd/jboss-logging-tools.git
# cd jboss-logging-tools && git archive --format=tar --prefix=jboss-logging-tools-1.0.0.Beta7/ 1.0.0.Beta7 | xz > jboss-logging-tools-1.0.0.Beta7.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    jboss-logging
BuildRequires:    jboss-parent
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         java

%description
This package contains JBoss Logging I18n Tools.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build

mvn-rpmbuild install javadoc:aggregate

%install
rm -fr %buildroot

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

for m in processor generator; do
  install -pm 644 ${m}/target/jboss-logging-${m}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss-logging-${m}.jar
  install -pm 644 ${m}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-jboss-logging-${m}.pom
  %add_to_maven_depmap org.jboss.logging jboss-logging-${m} %{version} JPP jboss-logging-${m}
done

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# Parent
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-parent.pom
%add_to_maven_depmap org.jboss.logging %{name}-parent %{version} JPP %{name}-parent

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Fri Aug 05 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 131986
- Fix Buildrequires
- Clean spec file

  + gil <gil>
    - imported package jboss-logging-tools


* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging